package com.fxy.main.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by hasee on 2017/6/1.
 * 常规数据
 */

public class RegularDataBean implements Parcelable {

    public String id;
    public String name;


    public RegularDataBean(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public RegularDataBean() {
    }

    @Override
    public String toString() {
        return "RegularDataBean{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id);
        dest.writeString(this.name);
    }

    protected RegularDataBean(Parcel in) {
        this.id = in.readString();
        this.name = in.readString();
    }

    public static final Parcelable.Creator<RegularDataBean> CREATOR = new Parcelable.Creator<RegularDataBean>() {
        @Override
        public RegularDataBean createFromParcel(Parcel source) {
            return new RegularDataBean(source);
        }

        @Override
        public RegularDataBean[] newArray(int size) {
            return new RegularDataBean[size];
        }
    };
}
